/***************************************************************************
* File Name: pwf_an0002_struct.h
* Processor(s): MSP430F16x (tested), MSP430F14x (not tested)
* Compiler: Code Composer Studio V4 (4.2.5.00005)
* 
* Copyright  2013 Playing With Fusion, Inc.
* SOFTWARE LICENSE AGREEMENT: This code is released under the MIT License. 
* 
* Permission is hereby granted, free of charge, to any person obtaining a
* copy of this software and associated documentation files (the "Software"),
* to deal in the Software without restriction, including without limitation
* the rights to use, copy, modify, merge, publish, distribute, sublicense,
* and/or sell copies of the Software, and to permit persons to whom the
* Software is furnished to do so, subject to the following conditions:
* 
* The above copyright notice and this permission notice shall be included in
* all copies or substantial portions of the Software.
* 
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
* AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
* LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
* FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
* DEALINGS IN THE SOFTWARE.
* **************************************************************************
* REVISION HISTORY:
* Author			Date		Comments
* J. Steinlage		2013Nov30	Original version
* 
* **************************************************************************
* ADDITIONAL NOTES:
* This file contains function prototypes used in pwf_an0002_struct.c
***************************************************************************/

#ifndef PWF_STRUCT_H
#define PWF_STRUCT_H

#include "msp430_typeDef.h"

struct var_MAX31865_ch{
    uint16 raw_value;	/* value of signal */
    uint32 rtd_res;		/* resistance value... uint32, 15 bits used for fraction */
    sint16 rtd_temp;	/* temperature of RTD... sint16,  5 bits used for fraction  (+/- 1024 deg C)*/
    uint8  status;		/* status of signal - valid/invalid + fault reason */
    uint8  config;		/* configuration register */
    sint16 HFT_val;		/* high fault threshold registers */
    sint16 LFT_val;		/* low fault threshold registers*/
    uint8  RTD_type;	/* type of RTD. 1 = PT100, 2 = PT1000 */
    };


#endif /* PWF_STRUCT_H */
